To be a Dark Avenger, you must bring 3 Tokens.
The Mark of Duty is only given to those who pass the Trial of Duty. You must be above level 35 to take the test. To take the Trial of Duty, visit Grand Master Hannavalt of Giran Castle Town.
The Mark of Trust is only given to those who pass the Testimony of Trust. You must be above level 37 to take the test. To take the Testimony of Trust, visit High Priest Hollint at the Town of Oren.
And finally the Mark of Witchcraft is only given to those who pass the Test of Witchcraft. You must be above level 39 to take the test. To take the Test of Witchcraft, go to the Corridor of Death and visit Orim of the Shadow.
Return